// Copyright (c) Microsoft Corporation. 
// Licensed under the MIT license.

#pragma once

#include "CoreMinimal.h"
#include "AssetTypeActions_Base.h"

class FLODRecipeAssetActions : public FAssetTypeActions_Base
{
public:

	/**
	 * Creates and initializes a new instance.
	 *
	 * @param InStyle The style set to use for asset editor toolkits.
	 */
	 //FLODSettingsActions(const TSharedRef<ISlateStyle>& InStyle);
	FLODRecipeAssetActions(EAssetTypeCategories::Type InAssetCategory);

public:

	//~ FAssetTypeActions_Base overrides

	virtual bool CanFilter() override;
	//virtual void GetActions(const TArray<UObject*>& InObjects, FMenuBuilder& MenuBuilder) override;
	virtual uint32 GetCategories() override;
	virtual FText GetName() const override;
	virtual UClass* GetSupportedClass() const override;
	virtual FColor GetTypeColor() const override;
	//virtual bool HasActions(const TArray<UObject*>& InObjects) const override;
	virtual void OpenAssetEditor(const TArray<UObject*>& InObjects, TSharedPtr<IToolkitHost> EditWithinLevelEditor = TSharedPtr<IToolkitHost>()) override;

private:
	EAssetTypeCategories::Type AssetCategory;
	/** Pointer to the style set to use for toolkits. */
	//TSharedRef<ISlateStyle> Style;
};
